.o-media {
  display: flex;
  flex-direction: column;

  @include breakpoint(md) {
    flex-direction: row;
  }

  &__asset {
    margin-top: 24px;

    @include breakpoint(md) {
      margin-top: 0;
      width: 30%;
    }

    &:first-child {
      margin-top: 0;
    }
  }

  &__body {
    flex: 1;
    margin-top: 24px;

    &:first-child {
      margin-top: 0;
    }

    @include breakpoint(md) {
      margin-top: 0;
      padding-left: 48px;
    }
  }
}

.o-media--instant {
  flex-direction: row;

  .o-media__asset {
    width: 30%;
  }
  .o-media__body {
    margin-left: 24px;
    margin-top: 0;
  }
}

.o-media-short {
  align-items: center;
  display: flex;
  flex-direction: row;

  &__item {
    margin-left: 8px;

    &:first-child {
      margin-left: 0;
    }
  }
}

.o-media-logo {
  display: flex;
  align-items: center;
  flex: 1 0 auto;
  position: relative;
  border: 1px solid #ccc;
  border-radius: 12px;
  max-width: 130px;
  max-height: 130px;

  transition: transform 200ms;

  backface-visibility: hidden;

  &::before {
    float:left;

    padding-top:100%;

    content:"";
  }

  &:hover {
    transform: scale(1.05);
  }

  @include breakpoint(sm) {
    max-width: 168px;
    max-height: 168px;
  }
}

.o-media-logo__item {
  max-width: 100%;

}
